Package org.snpeff.align

# Class NeedlemanWunsch

java.lang.Object
org.snpeff.align.NeedlemanWunsch

Direct Known Subclasses:
  `SmithWaterman`, `VcfRefAltAlign`

public class NeedlemanWunsch extends Object
Needleman-Wunsch (global sequence alignment) algorithm for sequence alignment (short strings, since it's not memory optimized)

Author:
  pcingola

## Constructor Summary

Constructors
Constructor
Description
`NeedlemanWunsch(String a, String b)`

## Method Summary

Modifier and Type
Method
Description
`String`
`align()`
`String`
`getAlignment()`
`int`
`getAlignmentScore()`
`int`
`getOffset()`
`void`
`setDeletion(int deletion)`
`void`
`setMatch(int match)`
`void`
`setMissMatch(int missMatch)`
`void`
`setUseSpace(boolean useSpace)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NeedlemanWunsch

public NeedlemanWunsch(String a, String b)

## Method Details

### align

public String align()

### getAlignment

public String getAlignment()

### getAlignmentScore

public int getAlignmentScore()

### getOffset

public int getOffset()

### setDeletion

public void setDeletion(int deletion)

### setMatch

public void setMatch(int match)

### setMissMatch

public void setMissMatch(int missMatch)

### setUseSpace

public void setUseSpace(boolean useSpace)

### toString

public String toString()

Overrides:
  `toString` in class `Object`